#ifndef XMMS_H
#define XMMS_H

#include <qobject.h>

#include "chat.h"
#include "modules.h"
#include "misc.h"

class Xmms : public QObject
{
    Q_OBJECT

    public:
        Xmms();
        ~Xmms();
        QString getTitle();
        QString getFile();
        int getLength();
        int getCurrentPos();
        Chat* getCurrentChat();
        QString parse(QString);
        bool isPlaying();
        QString convert(QString);

    private:
        QTimer* timer;
        QString currentTitle;
        QString descriptionToUse;
        QString descriptionToSet;
        bool xmmsSets;
        bool statuses;
        int pos();
        QPopupMenu* menu;
        int popups[4];
        bool winKeyPressed;

    public slots:
        void putSongTitle(int);
        void chatCreated(const UinsList&);
        void checkTitle();
        void toggleStatuses(int);
        void checkStatusDesc(UserStatus&, bool&);
        void putTitleHint(QString);
        void nextTrack();
        void prevTrack();
        void play();
        void stop();
        void pause();
        void setVolume(int);
        void incrVolume();
        void decrVolume();
        void chatKeyPressed(QKeyEvent*, CustomInput*);
        void chatKeyReleased(QKeyEvent*, CustomInput*);
};

#endif
